Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class CursorConfig

    java.lang.Object
      com.sleepycat.je.CursorConfig

All Implemented Interfaces:
  Cloneable

    public class CursorConfig

extends Object
implements Cloneable

Specifies the attributes of database cursor. An instance created with the default constructor is initialized with the system's default settings.

Field Summary
`static CursorConfig` | `DEFAULT` Default configuration used if null is passed to methods that create a cursor.
`static CursorConfig` | `READ_COMMITTED` A convenience instance to configure a cursor for read committed isolation.
`static CursorConfig` | `READ_UNCOMMITTED` A convenience instance to configure read operations performed by the cursor to return modified but not yet committed data.

Constructor Summary
`CursorConfig()` An instance created using the default constructor is initialized with the system's default settings.

Method Summary
`CursorConfig` | `clone()` Returns a copy of this configuration object.
`boolean` | `getReadCommitted()` Returns true if read operations performed by the cursor are configured to obey read committed isolation.
`boolean` | `getReadUncommitted()` Returns true if read operations performed by the cursor are configured to return modified but not yet committed data.
`CursorConfig` | `setReadCommitted(boolean readCommitted)` Configures read operations performed by the cursor to obey read committed isolation.
`CursorConfig` | `setReadUncommitted(boolean readUncommitted)` Configures read operations performed by the cursor to return modified but not yet committed data.
`String` | `toString()` Returns the values for each configuration attribute.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final CursorConfig DEFAULT

  Default configuration used if null is passed to methods that create a cursor.

### READ_UNCOMMITTED

    public static final CursorConfig READ_UNCOMMITTED

  A convenience instance to configure read operations performed by the cursor to return modified but not yet committed data.

### READ_COMMITTED

    public static final CursorConfig READ_COMMITTED

  A convenience instance to configure a cursor for read committed isolation. This ensures the stability of the current data item read by the cursor but permits data read by this cursor to be modified or deleted prior to the commit of the transaction.

Constructor Detail

### CursorConfig

    public CursorConfig()

  An instance created using the default constructor is initialized with the system's default settings.

Method Detail

### setReadUncommitted

    public CursorConfig setReadUncommitted(boolean readUncommitted)

  Configures read operations performed by the cursor to return modified but not yet committed data.

  Parameters:
    `readUncommitted` - If true, configure read operations performed by the cursor to return modified but not yet committed data.
  Returns:
    this
  See Also:
    `LockMode.READ_UNCOMMITTED`

### getReadUncommitted

    public boolean getReadUncommitted()

  Returns true if read operations performed by the cursor are configured to return modified but not yet committed data.

  Returns:
    true if read operations performed by the cursor are configured to return modified but not yet committed data.
  See Also:
    `LockMode.READ_UNCOMMITTED`

### setReadCommitted

    public CursorConfig setReadCommitted(boolean readCommitted)

  Configures read operations performed by the cursor to obey read committed isolation. Read committed isolation provides for cursor stability but not repeatable reads. Data items which have been previously read by this transaction may be deleted or modified by other transactions before the cursor is closed or the transaction completes.

  Parameters:
    `readCommitted` - If true, configure read operations performed by the cursor to obey read committed isolation.
  Returns:
    this
  See Also:
    `LockMode.READ_COMMITTED`

### getReadCommitted

    public boolean getReadCommitted()

  Returns true if read operations performed by the cursor are configured to obey read committed isolation.

  Returns:
    true if read operations performed by the cursor are configured to obey read committed isolation.
  See Also:
    `LockMode.READ_COMMITTED`

### clone

    public CursorConfig clone()

  Returns a copy of this configuration object.

  Overrides:
    `clone` in class `Object`

### toString

    public String toString()

  Returns the values for each configuration attribute.

  Overrides:
    `toString` in class `Object`
  Returns:
    the values for each configuration attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.